Bug 1311304 - gccfeatures.h breaks compilation on arches other than x86 and ppc
gccfeatures.h breaks compilation on arches other than x86 and ppc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Random123 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 16:18 EST by Dominik 'Rathann' Mierzejewski
Modified: 2016-04-21 21:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: Random123-1.09-1.fc24 Random123-1.09-1.fc23 Random123-1.09-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-12 05:40:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2016-02-23 16:18:27 EST
Description of problem:
Random123's features/gccfeatures.h header (included from threefry.h via features/compilerfeatures.h) doesn't allow compilation on architectures other than x86 and ppc, but the package is noarch.

Version-Release number of selected component (if applicable):
1.08-4.fc24

How reproducible:
Always

Steps to Reproduce:
1. try to compile a simple program with
   #include <Random123/threefry.h>
   using gcc on ARM (it happened to me while compiling gromacs on ARM)

Actual results:
In file included from /usr/include/Random123/features/compilerfeatures.h:211:0,
                 from /usr/include/Random123/threefry.h:34,
                 from /builddir/build/BUILD/gromacs-5.1.2/src/gromacs/random/random.cpp:48:
/usr/include/Random123/features/gccfeatures.h:38:4: error: #error "This code has only been tested on x86 and powerpc platforms."
 #  error "This code has only been tested on x86 and powerpc platforms."
    ^~~~~
/usr/include/Random123/features/gccfeatures.h:39:102: fatal error: including_a_nonexistent_file_will_stop_some_compilers_from_continuing_with_a_hopeless_task: No such file or directory
 #include <including_a_nonexistent_file_will_stop_some_compilers_from_continuing_with_a_hopeless_task>
                                                                                                      ^
compilation terminated.

Expected results:
Successful compilation.

Additional info:
gccfeatures.h contains this:
#if !defined(__x86_64__) && !defined(__i386__) && !defined(__powerpc__)
#  error "This code has only been tested on x86 and powerpc platforms."
#include <including_a_nonexistent_file_will_stop_some_compilers_from_continuing_with_a_hopeless_task>
{ /* maybe an unbalanced brace will terminate the compilation */
 /* Feel free to try the Random123 library on other architectures by changing
 the conditions that reach this error, but you should consider it a
 porting exercise and expect to encounter bugs and deficiencies.
 Please let the authors know of any successes (or failures). */
#endif

Either this check should be disabled or the package should be archful and be built only for the supported arches.
Comment 1 Dominik 'Rathann' Mierzejewski 2016-04-06 08:19:57 EDT
Ping? It's been 6 weeks with no response.

Please also see https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Header_Only_Libraries .
Comment 2 Fedora Update System 2016-04-06 12:38:07 EDT
Random123-1.09-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b18650886c
Comment 3 Fedora Update System 2016-04-06 12:38:15 EDT
Random123-1.09-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-789a14caf8
Comment 4 Fedora Update System 2016-04-06 12:38:21 EDT
Random123-1.09-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dc747cc49
Comment 5 Fedora Update System 2016-04-07 12:49:38 EDT
Random123-1.09-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dc747cc49
Comment 6 Fedora Update System 2016-04-07 12:53:57 EDT
Random123-1.09-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b18650886c
Comment 7 Fedora Update System 2016-04-07 17:19:25 EDT
Random123-1.09-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-789a14caf8
Comment 8 Fedora Update System 2016-04-12 05:40:08 EDT
Random123-1.09-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-04-21 21:25:36 EDT
Random123-1.09-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-04-21 21:50:52 EDT
Random123-1.09-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.